## ros-melodic-backward-ros 0.1.7

=== debian/changelog ===
ros-melodic-backward-ros (0.1.7-0bionic) bionic; urgency=high

  * Merge pull request #3 from veimox/bugfix/fix-tests-headers
    modified heders to be included with current cmake configuration
  * modified heders to be included with current cmake configuration
  * Contributors: Jorge Rodriguez, Victor Lopez

 -- Victor López <victor.lopez@pal-robotics.com>  Thu, 10 Jan 2019 23:00:00 -0000

ros-melodic-backward-ros (0.1.6-0bionic) bionic; urgency=high

  * Replace #warning with #pragma message
  * Update backward to the latest version
  * Fx wrong LIBRARIES variable concatenation
  * Contributors: Victor Lopez

 -- Victor López <victor.lopez@pal-robotics.com>  Tue, 01 May 2018 22:00:00 -0000

ros-melodic-backward-ros (0.1.5-0bionic) bionic; urgency=high

  * Fixed version for finding libraries for catkin_make
  * Resolve relative paths generated by catkin_make
  * Merge branch 'fix_typos' into 'master'
    Fix typos in README.md
    See merge request qa/backward_ros!1
  * Fix typos in README.md
  * Change Readme.md so we put backward_ros specific information.
  * Force backward lib to link with backward targets
  * Contributors: Jordan Palacios, Victor, Victor Lopez

 -- Victor López <victor.lopez@pal-robotics.com>  Thu, 26 Apr 2018 22:00:00 -0000

ros-melodic-backward-ros (0.1.4-0bionic) bionic; urgency=high

  * Rosify backward cpp, add automatic sighandle and rosconsole print
  * Update doc about color mode & std::ostream.
  * Fix typo in build link
  * Merge pull request #62 from bryant1410/master
    Fix broken headings in Markdown files
  * Add color mode.
    This is a breaking change.
    The printer now offers a color_mode setting: automatic, always, never.
    When given a FILE* stream on linux, the automatic mode will retrieve
    file descriptor behind it and call isatty().
  * Merge branch 'print-to-streams' of https://github.com/ogdf/backward-cpp into ogdf-print-to-streams
  * Fix broken Markdown headings
  * Merge pull request #60 from ogdf/g++7-warnings
    Fix g++ 7.0.1 warnings
  * enable tests that somebody thought it was a good idea to permanently disable.
  * Only catch signals with a default action of "Core"
    Close #59
  * Fix g++- 7.0.1 -Wshadow warnings in test lib
  * Fix -Wshadow warnings from g++ 7.0.1
  * Fix -Wimplicit-fallthrough warning from g++ 7.0.1
    The fallthrough (missing break after a case in a switch) is
    not necessary. We can just move the whole default code move
    down after the switch.
  * Merge pull request #58 from krf/fix-warning
    Fix -Wmissing-noreturn warning from Clang
  * Fix -Wmissing-noreturn warning from Clang
  * Merge pull request #56 from akreuzkamp/master
    Operator names are not supported by MSVC out of the box. Using them breaks code that needs to build with MSVC and/or (thus) uses "-fno-operator-names". As a header-only library should pursue maximal
    portability, this PR replaces the single usage of operator names with the more portable operator syntax.
  * Use && instead of and.
    Operator names are not supported by MSVC out of the box. Using them
    breaks code that needs to build with MSVC and/or (thus) uses
    "-fno-operator-names". As a header-only library should pursue maximal
    portability, this commit replaces the single usage of operator names
    with the more portable operator syntax.
  * Merge pull request #57 from bombela/issue-55
    Fix conanfile recipe
  * [#55] Conan options are represented as attributes instead of map entries
  * Revert "[#55] omit cmake options in conanfile build step"
    This reverts commit 06fb80378505d5792c8ce8dcadacdabb9ae45ce7.
  * [#55] omit cmake options in conanfile build step
  * conan recipe url field points to official repository
  * Conan badge pointing to 1.3.0 release
  * conan recipe pointing to 1.3.0 release
  * Update travis ci badge to point to official builds
  * conan.io package
  * Merge pull request #49 from ruipires/master
    adds support for ppc architecture
  * Run tests on Travis CI
  * adds support for ppc architecture
  * Merge pull request #45 from edisongustavo/master
    Add support to find_package(Backward)
  * Add detailed instructions on how to use cmake to integrate Backward
  * Prevent that the cmake variable BACKWARD_INCLUDE_DIRS be infinitely appended on successive cmake runs
  * Don't use find_package() in CMakeLists.txt since it does not make sense
  * Merge pull request #44 from ogdf/make-skip-public
    Make StackTraceImpl*::skip_n_firsts() setter public
  * Merge pull request #43 from ogdf/make-context-sizes-configurable
    Printer: Make context sizes configurable
  * Add install()
  * Add support to find_package(Backward)
  * Make StackTraceImpl*::skip_n_firsts() setter public
    When the stack trace is used directly (and not by a signal),
    one may want to hide some of the first stack items because
    they will always be the same calls.
  * Printer: Make context sizes configurable
  * Let Colorizer reset on initialization
  * Make Printer::print methods available for streams
  * Merge pull request #40 from Jiboo/master
    Don't append definitions if already cached
  * Don't append definitions if already cached
  * Merge pull request #39 from merlinthered/master
    Some CMake-related fixes
  * Export BACKWARD_[...] CMake variables as cache variables
    If we do not export the variables set in BackwardMacros.cmake as cache variables, they will not be visible wherever add_backward() is called, and the macro will do nothing.
    Also, fix typo BACKWARD_INCLUDE_DIR -> BACKWARD_INCLUDE_DIRS
  * Readme fixes/clarifications for CMake
    Fixed name of BACKWARD_ENABLE variable
    Changed "myproject" to "mytarget" to avoid confusion
  * Merge pull request #34 from milianw/fix_bfd_compile_on_archlinux
    Define PACKAGE and PACKAGE_VERSION before including bfd.h
  * Merge pull request #35 from vvjcarter/master
    Add current List directory so that BackwardMacros.cmake correctly inc…

